<?php

namespace App\Enums;

enum ParticipationType: string
{
    case Individual = 'individual';
    case Team = 'team';

    public function label(): string
    {
        return match ($this) {
            self::Individual => __('enums.participation_type.individual'),
            self::Team => __('enums.participation_type.team'),
        };
    }
}
